Skip to main content
GET
/
custom-datas
/
{customDataId}
Retrieve custom data
curl --request GET \
  --url https://api.kameleoon.com/custom-datas/{customDataId} \
  --header 'Authorization: Bearer <token>'
{
  "method": "ADOBE_ANALYTICS",
  "name": "<string>",
  "siteId": 123,
  "adobeAnalyticsVariableName": "<string>",
  "advancedProposedValues": "<string>",
  "createdById": 123,
  "customEvalCode": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "format": "BOOLEAN",
  "gtmVariableName": "<string>",
  "id": 123,
  "index": 123,
  "isConstant": true,
  "isFiltrableVentilable": true,
  "isLearnable": true,
  "isLocalOnly": true,
  "modificationDate": "2023-11-07T05:31:56Z",
  "siteCode": "<string>",
  "tags": "<string>",
  "tcVariableName": "<string>",
  "tealiumVariableName": "<string>",
  "type": "COUNT_LIST"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customDataId
integer<int64>
required

Id of the custom data object

Query Parameters

optionalFields
string[]

Response

OK

method
enum<string>
required

Method through which a custom data will be transmitted

Available options:
ADOBE_ANALYTICS,
CLIENT,
CUSTOM_CODE,
GTM,
SDK,
TC,
TEALIUM
name
string
required

Name of the custom data

siteId
integer<int64>
required

Id of the project this record belongs

adobeAnalyticsVariableName
string

Variable name of the Adobe Analytics

advancedProposedValues
string

Enables to set values for targeting conditions in the form of a JS table

createdById
integer<int64>
read-only

Account Id of the creator of the custom data

customEvalCode
string

Custom code that will be executed

dateCreated
string<date-time>
read-only

Date and time a record is created

description
string

Description of the custom data

format
enum<string>

Custom data value format

Available options:
BOOLEAN,
NUMBER,
STRING
gtmVariableName
string

Variable name of the Google Tag Manager

id
integer<int64>
read-only

Unique Id of the custom data.

index
integer<int32>
read-only
isConstant
boolean

Indicates if the custom data is a constant

isFiltrableVentilable
boolean

Indicates if custom data should be filtered and marked as available for breakdown

isLearnable
boolean

Indicates if this data should be included in Kameleoon machine learning

isLocalOnly
boolean

Indicates if the custom data is only stored on the user's device.

modificationDate
string<date-time>
read-only

Date and time a record is modified

siteCode
string
read-only

System generated unique code to identify a website.
This is an optional field that is included in the request body

tags
string

Tags that belong to this record

tcVariableName
string

Name of the tag commander data layer, if it is selected as a transmission method

tealiumVariableName
string

Name of the Tealium, if it is selected as a transmission method

type
enum<string>

Custom data type. Custom data can be presented as a single value (UNIQUE), or a list of values (LIST), ​​or a countable list of values (COUNT_LIST)

Available options:
COUNT_LIST,
LIST,
UNIQUE